/*****************************************************************************/
/* IBM(R) VisualAge(TM) C++ for OS/2(R), Version 3                           */
/* (C)Copyright IBM Corp. 1995.                                              */
/* - Licensed Material - Program-Property of IBM - All Rights Reserved       */
/*****************************************************************************/
/*********************************************************************/
/* This routine updates the VisualAge C++ for OS/2 product.          */
/*********************************************************************/
"@echo off"

/*********************************************************************/
/* Get the CPP main directory and whether shared installed or not    */
/*********************************************************************/
curdir = directory()
cppdir = VALUE(CPPMAIN,,'OS2ENVIRONMENT')
vac_shared = VALUE(VACPP_SHARED,,'OS2ENVIRONMENT')

/*********************************************************************/
/* Backup EPFIS.INI file                                             */
/*********************************************************************/
temp = VALUE(USER_INI,,'OS2ENVIRONMENT')
temp = overlay('system\', temp, length(temp) - 6)
epfisini = temp || epfis.ini
epfisbak = cppdir || '\epfis.bak'
copy epfisini epfisbak

/*********************************************************************/
/* Set up the names of the files                                     */
/*********************************************************************/
cur_package = cppdir || '\VACPP.pkg'
bak_package = cppdir || '\VACPP.bak'

upd_package = 'VACPP.pkg'
upd_icf     = 'VACPP.icf'

/*********************************************************************/
/* Backup the current package file                                   */
/*********************************************************************/
copy cur_package bak_package

/*********************************************************************/
/* Copy the update package to the current package                    */
/*********************************************************************/
copy upd_package cur_package

/*********************************************************************/
/* Copy the catalog file from extras to the install directory        */
/*********************************************************************/
copy upd_icf cppdir

/*********************************************************************/
/* Update the desktop using software installer                       */
/*********************************************************************/
prodname = "IBM VisualAge C++ for OS/2"
cppdir||'\epfinsts /A:U /C:'||cppdir||'\VACPP.icf /O:DRIVE /P:'||'"'||prodname'"'||' /S:'||curdir

/*********************************************************************/
/* Backup the current package file                                   */
/*********************************************************************/
copy bak_package cur_package
erase bak_package
/*erase cppdir||'\VACPP.icf' - commented for fixpak 7, 97/3/5*/

copy epfisbak epfisini
erase epfisbak
